<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CRUD Example</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 800px;
            margin: 0 auto;
            padding: 2rem;
        }
        h1 {
            text-align: center;
            margin-bottom: 2rem;
        }
        form {
            display: flex;
            flex-direction: column;
            margin-bottom: 2rem;
        }
        label {
            margin-bottom: 0.5rem;
        }
        input, select {
            padding: 0.5rem;
            margin-bottom: 1rem;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        button {
            padding: 0.5rem;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        button:hover {
            background-color: #45a049;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            padding: 0.5rem;
            border: 1px solid #ccc;
            text-align: left;
        }
        th {
            background-color: #4CAF50;
            color: white;
        }
        .message {
            margin-top: 1rem;
            text-align: center;
            color: green;
        }
        .editable {
            display: flex;
            align-items: center;
        }
        .editable input[type="text"], .editable input[type="number"], .editable select {
            margin: 0;
            border: none;
            border-radius: 0;
            outline: none;
            background-color: transparent;
            box-shadow: none;
        }
        .editable input[type="submit"] {
            margin-left: 1rem;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Buscar por cédula</h1>
        <form action="buscar.php" method="post">
            <label for="cedula">Cédula:</label>
            <input type="number" name="cedula" id="cedula" required>
            <button type="submit">Buscar</button>
        </form>
        <?php
        if (isset($_GET['mensaje'])) {
            echo '<p class="message">'. $_GET['mensaje']. '</p>';
        }
        ?>
    </div>
</body>
</html>